Bug 577015 - Review Request: mutter-mbl - Window and compositing manager based on Clutter
Summary: Review Request: mutter-mbl - Window and compositing manager based on Clutter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Sebastian Dziallas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 544640 (view as bug list)
Depends On:
Blocks: 544640
TreeView+ depends on / blocked
 
Reported: 2010-03-25 21:04 UTC by Peter Robinson
Modified: 2010-04-18 12:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-18 12:08:59 UTC
sebastian: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2010-03-25 21:04:10 UTC
SPEC: http://pbrobinson.fedorapeople.org/mutter-mbl.spec
SRPM: http://pbrobinson.fedorapeople.org/mutter-mbl-2.28.1_0.12-1.fc12.src.rpm

Description:
Mutter-mbl is a fork of the mutter window and compositing manager that 
displays and manages your desktop via OpenGL. Mutter combines a 
sophisticated display engine using the Clutter toolkit with solid 
window-management logic inherited from the Metacity window manager.

Comment 1 Sebastian Dziallas 2010-03-25 21:09:00 UTC
I'll review this one over the weekend!

Comment 2 Peter Robinson 2010-03-25 21:11:40 UTC
Thanks!

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2076085

Comment 3 Rudolf Kastl 2010-03-26 15:15:06 UTC
LANG=C rpm -Uvh /home/che/rpmbuild/RPMS/x86_64/mutter-mbl-2.28.1_0.12-1.fc14.x86_64.rpm /home/che/rpmbuild/RPMS/x86_64/mutter-mbl-devel-2.28.1_0.12-1.fc14.x86_64.rpm
error: Failed dependencies:
	mutter conflicts with mutter-mbl-2.28.1_0.12-1.fc14.x86_64
	mutter-devel conflicts with mutter-mbl-devel-2.28.1_0.12-1.fc14.x86_64


please get the conflicts resolved. if it is a real fork then there is no reason to keep the old names or just prefix or suffix them with mbl or whatever. please not yet another conflicting package.

Comment 4 Peter Robinson 2010-03-26 15:21:09 UTC
> please get the conflicts resolved. if it is a real fork then there is no reason
> to keep the old names or just prefix or suffix them with mbl or whatever.
> please not yet another conflicting package.    

Its a know issue and is planned to be short term while the two upstreams get things sorted. I plan to get a patch into it to change the prefixes but it is not done yet. It is explicitly for Meego while upstream disagree between particular issues. Without it Moblin/Meego will be removed from Fedora.

Comment 5 Sebastian Dziallas 2010-03-28 23:00:32 UTC
Alright, here comes the review stuff. It looks like upstream is currently still moving stuff around between Moblin and Meego, so I can currently check neither version numbering nor the latest version.

A couple of comments:

* please you either %{buildroot} or $RPM_BUILD_ROOT
* there's apparently some noise in rpmlint - the spelling errors can obviously be ignored but the other stuff might need an eye.

As soon as upstream gets the repo up again, we should be able to proceed here.

[  OK  ] specfiles match: 46952998dd5bcd4925e693285a6464da
[  --  ] source files match upstream: N/A
[  --  ] package meets naming and versioning guidelines.
[  --  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  --  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock: http://koji.fedoraproject.org/koji/taskinfo?taskID=2076085
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[  --  ] rpmlint is silent:

[sebastian@localhost ~]$ rpmlint mutter-mbl-2.28.1_0.12-1.fc14.i686.rpm
mutter-mbl.i686: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
mutter-mbl.i686: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
mutter-mbl.i686: W: incoherent-version-in-changelog 2.28.1_0.10-1 ['2.28.1_0.12-1.fc14', '2.28.1_0.12-1']
mutter-mbl.i686: W: shared-lib-calls-exit /usr/lib/libmutter-private.so.0.0.0 exit@GLIBC_2.0
mutter-mbl.i686: W: non-conffile-in-etc /etc/gconf/schemas/mutter.schemas
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

[sebastian@localhost ~]$ rpmlint mutter-mbl-devel-2.28.1_0.12-1.fc14.i686.rpm 
mutter-mbl-devel.i686: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[sebastian@localhost ~]$ rpmlint mutter-mbl-debuginfo-2.28.1_0.12-1.fc14.i686.rpm 
mutter-mbl-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/mutter-2.28.1_0.12/src/compositor/mutter-shaped-texture.c
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass
[  OK  ] no shared libraries are added to the regular linker search paths.
[  NA  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] docs subpackage is appropriately created
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] headers go into devel package.
[  OK  ] pkgconfig files are in devel package.
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.

Comment 6 Peter Robinson 2010-04-16 16:11:25 UTC
Updated to the current available upstream source with spec file fixed.

http://pbrobinson.fedorapeople.org/mutter-mbl-2.28.1_0.0-1.fc12.src.rpm

Comment 7 Sebastian Dziallas 2010-04-16 16:19:47 UTC
Okay, thanks for adding the source URL and instructions. This looks good now, APPROVED.

Comment 8 Peter Robinson 2010-04-16 16:20:57 UTC
Thanks!

New Package CVS Request
=======================
Package Name: mutter-mbl
Short Description: Window and compositing manager based on Clutter
Owners: pbrobinson
Branches: F-13
InitialCC:

Comment 9 Kevin Fenzi 2010-04-18 01:43:00 UTC
CVS done (by process-cvs-requests.py).

Comment 10 Peter Robinson 2010-04-18 12:08:26 UTC
*** Bug 544640 has been marked as a duplicate of this bug. ***

Comment 11 Peter Robinson 2010-04-18 12:08:59 UTC
Build in rawhide and F-13


Note You need to log in before you can comment on or make changes to this bug.